/*
 *	Author: Anthony Busson
 */

//Compute the conflict graph for a link bidirectional with a conflict at 3 hops.
int conflictGraphLink4(int id1, int id2, int frequency);

void assignN1radioFreq(int nodeID1, int nodeID2, int freq); 

int verifieContrainteVoisinage();
int verifieContrainteLocale(int id);

//Compute the conflict graph
int computeConflictGraph();

//Fonction recursive de parcours de toutes les possibilites
//Return the bestConflict value.
int recursiveTraversal(int nodeID, int bestConflict, struct node* optimalAlloc);

//Allocate the frequency to the nodes
float allocateConflictOptimal(int nbOfRoutes);

float updateNodesAfterAllocation(int nbOfRoutes);



