/*
 * sameFrequency.c
 *
 */

#include "sameFrequency.h"

//Alloue la meme frequence partout (frequence 0) et sur la meme radio (0) les autres radios ne sont pas alloues
float allocateSameFrequency(int nbOfRoutes)
{
	int id, j;
	double maxCapacite=0.0;

    //On assigne toutes les radios de tous les noeuds sur la freq 0
    for(id=0;id<nbOfNodes;id++)
	{
		nodes[id].frequency[0]=0;

		//On fixe les radios/freq vers les voisins a (0,0)
    		for(j=0;j<nodes[id].nbN1;j++)
    		{
    			nodes[id].N1[j].frequency=0;
    			nodes[id].N1[j].radio=0;
    		}
	}

    for(j=0;j<nbOfRoutes;j++)
    {
     if(nodes[0].routingTable[j].destination>=0 && nodes[0].routingTable[j].nextHop>=0)
     {
     	nodes[0].routingTable[j].cost=getMetric(0,nodes[0].routingTable[j].nextHop);
    	nodes[0].routingTable[j].cost2=calculMinCapaciteChemin(j);
    	maxCapacite+=nodes[0].routingTable[j].cost2;
     }
    }
//    affichageReseau();

	return(maxCapacite);
}//End of the function allocateSameFrequency()

